# Interface ViewerModelMapManagerInterface<R, L>

#### Type Parameters

- #### R

- #### L

#### Hierarchy

- ViewerModelMapManagerInterface

#### Implemented by

- MolstarModelMapManager

- Defined in src/RcsbFvStructure/StructureViewerInterface.ts:83

#####
Index

### Methods

add
delete
getChains
getModelId
getModelIdFromTrajectory

## Methods

### add

- add(lC, trajectory): void

- #### Parameters

  - ##### lC: R

  - ##### trajectory: L

  #### Returns void

  - Defined in src/RcsbFvStructure/StructureViewerInterface.ts:84

### delete

- delete(lC): void

- #### Parameters

  - ##### lC: R

  #### Returns void

  - Defined in src/RcsbFvStructure/StructureViewerInterface.ts:86

### getChains

- getChains(): SaguaroPluginModelMapType

- #### Returns SaguaroPluginModelMapType

  - Defined in src/RcsbFvStructure/StructureViewerInterface.ts:87

### getModelId

- getModelId(id): string

- #### Parameters

  - ##### id: string

  #### Returns string

  - Defined in src/RcsbFvStructure/StructureViewerInterface.ts:88

### getModelIdFromTrajectory

- getModelIdFromTrajectory(trajectory): undefined | string

- #### Parameters

  - ##### trajectory: L

  #### Returns undefined | string

  - Defined in src/RcsbFvStructure/StructureViewerInterface.ts:85

Generated using TypeDoc